Bug 13927 - megaraid v1b08b with kernel 2.2.16-3 NULL pointer causes kernel panic
megaraid v1b08b with kernel 2.2.16-3 NULL pointer causes kernel panic
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-13 23:56 EDT by rmagee
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-15 14:30:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rmagee 2000-07-13 23:56:19 EDT
Short description:

Somewhere between the RedHat 2.2.12-20 and 2.2.16-3 kernels, megaraid
appears to have broken on Dell PowerEdge 2300 systems using the AIC-7890
SCSI controller. (That is, it works on 2.2.12-20, but doesn't on 2.2.16-3).
RAID configuration is RAID-5.

The two configurations compared are:
megaraid: v1.04 (August 16, 1999) on kernel 2.2.12-20
 vs.
megaraid: v1b08b (June 13, 2000) on kernel 2.2.16-3

both configurations were built using identical procedures on the same
machine.

The 2.2.16-3 kernel with megaraid v1b08b gives the following error upon
attempting to switch from the /boot/initrd image to the RAID as root:

===
megaraid: v1b08b (June 13, 2000)
Unable to handle kernel NULL pointer dereference at virtual address 
000002b4
current->tss.cr3 - 1f6f0000, %cr3 = 1f6f0000
*pde = 00000000
Oops: 0000
CPU:   1
EIP:    0010:[<e0031780>]
EFLAGS: 00010246
eax: 00000000  ebx: 00000000  ecx: 000002b4  edx: 00000cfe
esi: 000002b4  edi: e0032b0e  ebp: 08000000  esp: df6efe94
ds: 0018  es: 0018  ss: 0018
Process insmod (pid:9, process nr:9, stackpage = df6ef000)
Stack: [<00000000>] [<e0033400>] [<0000101e>] [<00000000>] [<00000002>] 
[<00000051>] [<00001960>] [<00008086>]
       [<00000001>] [<00000000>] [<dffdc5a0>] [<00001b18>] [<e0030000>] 
[<00001051>] [<11110260>] [<33441111>]
       [<e0031b32>] [<e0033400>] [<00008086>] [<00001960>] [<08000000>] 
[<e0033400>] [<00000002>] [<e0030051>]
Call Trace: [<e0033400>] [<e0030000>] [<e0031b32>] [<e0033400>] 
[<e0033400>] [<e0030051>] [<e0033400>]
            [<e01bef3a>] [<e0033400>] [<e0033400>] [<e0030051>] 
[<e0030000>] [<e0030000>] [<c01bfc76>] [<e0033400>]
            [<e0030000>] [<e0032792>] [<e0033400>] [<c0119bea>] 
[<e003388c>] [<e0009000>] [<e0030048>] [<c010a3c4>]
Code: ac ae 75 08 84 c0 75 f8 31 c0 eb 04 19 c0 0c 01 85 c0 74 1c
pid 9: killed by signal 11
autorun...
   ...autorun DONE.
kmod: failed to exec /sbin/modprobe -s -k block-major-8, errno = 2
VFS: Cannot open root device 08:02
===
Comment 1 Erik Troan 2000-08-15 14:30:04 EDT
Upgrade to the 3.13 firmware from AMI

Note You need to log in before you can comment on or make changes to this bug.